---
title: StylePropertyMapReadOnly.keys()
slug: Web/API/StylePropertyMapReadOnly/keys
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Method
  - Reference
  - StylePropertyMapReadOnly
  - keys()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>StylePropertyMapReadOnly.keys()</code></strong> method returns a new Array Iterator containing the keys for each item in <code>StylePropertyMapReadOnly</code></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>StylePropertyMapReadOnly</var>.keys()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref("Array")}}.</p>

<h2 id="Example">Example</h2>

<p>In this example we use the <code>keys()</code> method to be able to access the properties within our {{domxref('Element.computedStyleMap()')}}.</p>

<pre class="brush: js notranslate">// get a button element
const buttonEl = document.querySelector('button');

// we can retrieve all computed styles with `computedStyleMap`
const allComputedStyles = buttonEl.computedStyleMap();

// keys returns an iterable list of properties
const props = allComputedStyles.keys();
console.log(props.next().value); // returns align-content
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#the-stylepropertymap','keys()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMapReadOnly.keys")}}</p>
